| Flutter macOS Embedder |

Instance Methods | Protected Attributes | List of all members
FlutterSurfaceManager() Category Reference

## Instance Methods
(void) | - commit:

## Protected Attributes
id< MTLDevice > | _device
id< MTLCommandQueue > | _commandQueue
CALayer * | _containingLayer
__weak id< FlutterSurfaceManagerDelegate > | _delegate
BOOL | _wideGamut
FlutterBackBufferCache * | _backBufferCache
NSMutableArray< FlutterSurface * > * | _frontSurfaces
NSMutableArray< CALayer * > * | _layers
NSNumber * | _enableSurfaceDebugInfo
CATextLayer * | _infoLayer
CFTimeInterval | _lastPresentationTime

## Detailed Description

Definition at line 17 of file FlutterSurfaceManager.mm.

## Method Documentation

## ◆ commit:

- (void) commit: |  | (NSArray< FlutterSurfacePresentInfo * > *) | surfaces |

Updates underlying CALayers with the contents of the surfaces to present.

## Member Data Documentation

## ◆ _backBufferCache

- (FlutterBackBufferCache*) _backBufferCache
| protected

Definition at line 26 of file FlutterSurfaceManager.mm.

## ◆ _commandQueue

- (id<MTLCommandQueue>) _commandQueue
| protected

Definition at line 19 of file FlutterSurfaceManager.mm.

## ◆ _containingLayer

- (CALayer*) _containingLayer
| protected

Definition at line 20 of file FlutterSurfaceManager.mm.

## ◆ _delegate

- (__weak id<FlutterSurfaceManagerDelegate>) _delegate
| protected

Definition at line 21 of file FlutterSurfaceManager.mm.

## ◆ _device

- (id<MTLDevice>) _device
| protected

Definition at line 18 of file FlutterSurfaceManager.mm.

## ◆ _enableSurfaceDebugInfo

- (NSNumber*) _enableSurfaceDebugInfo
| protected

Definition at line 36 of file FlutterSurfaceManager.mm.

## ◆ _frontSurfaces

- (NSMutableArray<FlutterSurface*>*) _frontSurfaces
| protected

Definition at line 29 of file FlutterSurfaceManager.mm.

## ◆ _infoLayer

- (CATextLayer*) _infoLayer
| protected

Definition at line 37 of file FlutterSurfaceManager.mm.

## ◆ _lastPresentationTime

- (CFTimeInterval) _lastPresentationTime
| protected

Definition at line 39 of file FlutterSurfaceManager.mm.

## ◆ _layers

- (NSMutableArray<CALayer*>*) _layers
| protected

Definition at line 32 of file FlutterSurfaceManager.mm.

## ◆ _wideGamut

- (BOOL) _wideGamut
| protected

Definition at line 22 of file FlutterSurfaceManager.mm.

The documentation for this category was generated from the following file:

- shell/platform/darwin/macos/framework/Source/FlutterSurfaceManager.mm